import QtQuick 2.0
import Ubuntu.Components 0.1

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"
    
    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "com.ubuntu.developer.nik90.flick"
    
    width: units.gu(60)
    height: units.gu(60)

    PageStack {
        id: pagestack

        Component.onCompleted: push(rootTabs);

        Tabs {
            id: rootTabs
            anchors.fill: parent

            Tab {
                title: i18n.tr("Default Tab 1")

                Page {
                    Flickable {
                        clip: true;
                        anchors.fill: parent
                        contentWidth: parent.width
                        contentHeight: testRectangle.height + testRectangle.anchors.topMargin + testLabel.height + testLabel.anchors.topMargin

                        Rectangle {
                            id: testRectangle
                            height: units.gu(50); width: units.gu(40)
                            anchors { top: parent.top; topMargin: units.gu(10); left: parent.left; leftMargin: units.gu(5)}

                            Label {
                                text: "Notice the gap between the \n header and the rectange \n before and after your push \n a page into the pagestack!"
                                anchors.centerIn: parent
                            }
                        }

                        Label {
                            id: testLabel
                            height: units.gu(2)
                            anchors { top: testRectangle.bottom; topMargin: units.gu(3); horizontalCenter: testRectangle.horizontalCenter }
                            text: "Test"
                        }

                        Button {
                            id: testButton
                            text: "Push Page"
                            onClicked: pagestack.push(Qt.resolvedUrl("testPage.qml"))
                            anchors { left: testRectangle.right; leftMargin: units.gu(2); verticalCenter: testRectangle.verticalCenter }
                        }
                    }
                }
            }
        }
    }
}
